#include <stdio.h>
#include <stdarg.h>
#include <mach/cthreads.h>

static mutex_t prtlck;
int dbgtrace;

void tprintf_init()
{
    prtlck = mutex_alloc();
    dbgtrace = FALSE;
}

void tprintf( char *str, ... )
{
    va_list args;

    va_start(args, str);
    mutex_lock(prtlck);
    vprintf( str, args );
    mutex_unlock(prtlck);
    va_end(args);
}

void dbgmsg( char *str, ... )
{
    va_list args;

    if( dbgtrace ){
	va_start(args, str);
	mutex_lock(prtlck);
	vprintf( str, args );
	mutex_unlock(prtlck);
	va_end(args);
    }
}

