/*
 *  tprintf - a thread-safe interface to printf
 */

#ifndef TPRINTF_H_INCLUDED
#define TPRINTF_H_INCLUDED

extern void tprintf_init();
/*
 *   Initialize the printf lock.  Call before you fork new threads.
 */

extern void tprintf( const char *fmt, ... );
/*
 *   Thread safe version of printf.
 */

extern void dbgmsg( const char *fmt, ... );
/*
 *   Same as printf, but only prints if dbgtrace is TRUE.
 */

/* Set this to TRUE to enable dbgmsg's.  It's FALSE by default. */
extern int dbgtrace;

#endif /* TPRINTF_H_INCLUDED */
